;;; vhdl-highlight-setup.el --- Set up for highlighting of VHDL source
;;;                             code.
;;
;; Copyright (C) 1995 Ken Wood
;;
;; Author: Ken Wood <ken@eda.com.au>
;; Keywords: VHDL source code highlighting
;; Version: 2.62
;;
;; See vhdl-highlight.el for full details and installation
;; instructions.


;; Make sure that all faces are created here, so that the user can
;; modify them, if desired. Faces also need to be defined as
;; variables, to keep GNU emacs happy.
(defvar font-lock-variable-name-face (make-face 'font-lock-variable-name-face)
  "Face to use for variable names.")
(defvar font-lock-signal-name-face (make-face 'font-lock-signal-name-face)
  "Face to use for signal names.")


;; Give faces default settings, if they haven't been modified already.
(or (face-differs-from-default-p 'font-lock-variable-name-face)
    (set-face-foreground 'font-lock-variable-name-face "magenta3"))
(or (face-differs-from-default-p 'font-lock-signal-name-face)
    (set-face-foreground 'font-lock-signal-name-face  "gold3"))


;; Initialise VHDL highlighting whenever we enter vhdl-mode.
(autoload 'vhdl-font-lock-initialise "vhdl-highlight" 
  "Autoloadable function" t)
(add-hook 'vhdl-mode-hook 'vhdl-font-lock-initialise)


;; Set the flag once the file has been loaded successfully.
(provide 'vhdl-highlight-setup)
